petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMTSSetForcingFunction

set TS forcing function evaluation function

### Synopsis

    #include "petscts.h"
    PetscErrorCode DMTSSetForcingFunction(DM dm,TSForcingFunction f,void *ctx)

Not Collective

### Input Arguments

| dm | - DM to be used with TS
| f | - forcing function evaluation function; see TSForcingFunction
| ctx | - context for solution evaluation

### Note

TSSetForcingFunction() is normally used, but it calls this function internally because the user context is actually associated with the DM. This makes the interface consistent regardless of whether the user interacts with a DM or not. If DM took a more central role at some later date, this could become the primary method of setting the residual.

### See Also

DMTSSetContext(), TSSetFunction(), DMTSSetJacobian(), TSSetForcingFunction(), DMTSGetForcingFunction()

### Level

advanced

### Location

src/ts/utils/dmts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages